Bug 63985 - cdparanoia segfaults on USB CDROM
cdparanoia segfaults on USB CDROM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: cdparanoia (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-23 02:54 EDT by Mario Mikocevic
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-23 10:36:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Mikocevic 2002-04-23 02:54:00 EDT
Description of Problem:
# cdparanoia -v -B --force-cdrom-device /dev/burner
cdparanoia III release 9.8 (March 23, 2001)
..
Checking /dev/burner for cdrom...
        Testing /dev/burner for cooked ioctl() interface
                /dev/scd0 is not a cooked ioctl CDROM.
        Testing /dev/burner for SCSI interface
                generic device: /dev/sg0
                ioctl device: /dev/scd0

Found an accessible SCSI CDROM drive.
Looking at revision of the SG interface in use...
        SG interface version 3.1.22; OK.
zsh: segmentation fault (core dumped)  cdparanoia -v -B --force-cdrom-device
/dev/burner

(gdb) where
#0  0x40020b00 in cdda_identify_scsi () from /usr/lib/libcdda_interface.so.0
#1  0x4002001a in cdda_identify () from /usr/lib/libcdda_interface.so.0
#2  0x0804aa12 in strcpy ()
#3  0x400710c4 in __libc_start_main () from /lib/libc.so.6

Version-Release number of selected component (if applicable):
# rpm -qa | grep cdparanoia
cdparanoia-libs-alpha9.8-8
cdparanoia-alpha9.8-8

How Reproducible:
Always

Additional Information:
CDROM in question is ->
	
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
scsi0 : SCSI emulation for USB Mass Storage devices
  Vendor: HP        Model: CD-Writer+ 8200a  Rev: 1.0g
  Type:   CD-ROM                             ANSI SCSI revision: 02
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 2
USB Mass Storage support registered.
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 20x/32x writer cd/rw xa/form2 cdda tray
Comment 1 Trond Eivind Glomsrxd 2002-04-23 10:50:03 EDT
Works with the HP 8200 (CD-Writer Plus) USB model...

Note You need to log in before you can comment on or make changes to this bug.